%define upstream_name    Language-Befunge-Storage-Generic-Vec-XS
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Language::Befunge::Storage::Generic::Vec rewritten for speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Language/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Language::Befunge) >= 4.0.0
BuildRequires: perl(Language::Befunge::Vector::XS) >= 1.1.1
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Language::Befunge::Storage::Generic::Vec implements a linear storage model,
where a perl string is used to store a (potentially very large) integer
array. The integers are accessed from perl with vec().

Unfortunately, vec() operates on unsigned integers, which means some extra
calculations are necessary to convert between unsigned and signed integers.

If the access was done from C, using a signed integer pointer, the access
would be much faster, and the conversion would be unnecessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 13 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 70504
- update to 0.03

* Sun Jan 23 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 33913
- mageia rebuild
- imported package perl-Language-Befunge-Storage-Generic-Vec-XS

